<template>
  <system-built-in :disabled="false" :config_eid="eid"></system-built-in>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import { useRouter } from 'vue-router';
import { useI18n } from '@crami/locale';
import SystemBuiltIn from './SystemBuiltIn.vue';
export default defineComponent({
  name: 'SystemBuiltInEdit',
  components: { SystemBuiltIn },
  setup() {
    const { t } = useI18n();
    const router = useRouter();
    const routerQuery = router.currentRoute.value.query;
    let eid = routerQuery?.EID || '';
    return {
      eid,
      t,
    };
  },
});
</script>
<style lang="less" scoped>
.item-btns {
  margin-top: 30px;
  text-align: right;
}

.review-method-info {
  width: inherit;
  margin: 10px;
  // padding-left: 24px;
}

.review-method-info-label {
  padding-right: 10px;
  line-height: 28px;
  display: inline-block;
  width: 100px;
  text-align: right;
}

.update-executor {
  min-height: auto;
}
</style>
